This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 496730 - iscsi timeout too short.
iscsi timeout too short.
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Joey Boggs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 16:45 EDT by Mike McGrath
Modified: 2011-11-18 09:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-18 09:25:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2009-04-20 16:45:59 EDT
The iscsi timeout on the node images in /etc/iscsi/iscsid.conf is too short.

Generally it's acceptable to have a much higher iscsi timeout when dealing with root filesystems (as we are with the ovirt guests).  I'd suggest setting:

node.session.timeo.replacement_timeout = 86400

This would allow the node to recover gracefully even after the iscsi share died or rebooted.  This doesn't protect the integrity of the guests but would allow them to be paused during this issue.
Comment 1 Joey Boggs 2009-10-11 22:03:23 EDT
Isn't 86400 secs (24hrs) gonna be way too long? 600 secs should be plenty for a reboot, but 20-30 mins would give enough time for an alert/reboot on a failed iscsi target. 

# To specify the length of time to wait for session re-establishment
# before failing SCSI commands back to the application when running
# the Linux SCSI Layer error handler, edit the line.
# The value is in seconds and the default is 120 seconds.
node.session.timeo.replacement_timeout = 120

Note You need to log in before you can comment on or make changes to this bug.